#ifndef COLORINVERTFILTER_H
#define COLORINVERTFILTER_H

#include "ImageFilter.h"
#include "ColorInvertThread.h"

class ColorInvertFilter : public ImageFilter
{
    Q_OBJECT
public:
    ColorInvertFilter();
    ~ColorInvertFilter();
    const QPixmap& getResault() const;
    void setPixmap(const QPixmap& sourcePixmap);

private slots:
    void threadFinished();

private:
    QPixmap myPixmap;
    QImage* myImage;
    ColorInvertThread* myThread;
};

#endif // COLORINVERTFILTER_H
