#include "GrayScaleThread.h"

void GrayScaleThread::run()
{
    int pixels = workImage->width() * workImage->height();
    unsigned int *data = (unsigned int *)workImage->bits();
    for (int i = 0; i < pixels; ++i)
    {
        int val = qGray(data[i]);
        data[i] = qRgba(val, val, val, qAlpha(data[i]));
    }
}

GrayScaleThread::GrayScaleThread(QImage* sourceImage)
{
    workImage = sourceImage;
}
