#ifndef GRAYSCALEFILTER_H
#define GRAYSCALEFILTER_H

#include "ImageFilter.h"
#include "SepiaThread.h"

class SepiaFilter : public ImageFilter
{
    Q_OBJECT
public:
    SepiaFilter();
    ~SepiaFilter();
    const QPixmap& getResault() const;
    void setPixmap(const QPixmap& sourcePixmap);

private slots:
    void threadFinished();

private:
    QPixmap myPixmap;
    QImage* myImage;
    SepiaThread* myThread;

};

#endif // GRAYSCALEFILTER_H
