#ifndef IMAGEDATA_H
#define IMAGEDATA_H

#include <QImage>
#include <QString>
#include <QDate>

struct ImageData
{
    QString name;
    QString author;
    QString filePath;
    QString format;
    QString desc;
    QString catalog;
    QString hash;

    QDate date;

    QImage mini;
    bool hasmini;
    bool limitSize;
    bool keepAspect;

    int widthLimit;
    int heightLimit;

    ImageData()
    {
        hasmini = false;
        limitSize = false;
    }
};

#endif // IMAGEDATA_H
