#include "GS_albumer_info.h"

void GS_albumer_info::closeEvent(QCloseEvent* event)
{
    if(needToClose)
    {
        event->accept();
    }
    else
    {
        event->ignore();
        hide();
    }
}

void GS_albumer_info::setNeedToClose()
{
    needToClose = true;
}

void GS_albumer_info::updateData(QStringList list)
{
    if(list.isEmpty())
        ui.nameEdit->setText("-----------");
    else
        ui.nameEdit->setText(list.takeFirst());
    
    if(list.isEmpty())
        ui.catalogEdit->setText("-----------");
    else
        ui.catalogEdit->setText(list.takeFirst());
    
    if(list.isEmpty())
        ui.authorEdit->setText("-----------");
    else
        ui.authorEdit->setText(list.takeFirst());
    
    if(list.isEmpty())
        ui.descEdit->setText("-----------");
    else
        ui.descEdit->setText(list.takeFirst());
    
    if(list.isEmpty())
        ui.dateEdit->setText("-----------");
    else
        ui.dateEdit->setText(list.takeFirst());

    if(list.isEmpty())
        ui.tagEdit->setText("-----------");
    else
        ui.tagEdit->setText(list.takeFirst());
}

GS_albumer_info::GS_albumer_info(QWidget* parent)
    :QWidget(parent)
{
    ui.setupUi(this);
    needToClose = false;
}
