#include "folderinfo.h"

bool FolderInfo::operator=(const FolderInfo info)
{
    bool resault = false;
    if(myItemCount == info.getItemCount() && myName == info.getName())
        resault =true;
    return resault;
}

QString FolderInfo::getName() const
{
    return myName;
}

int FolderInfo::getItemCount() const
{
    return myItemCount;
}

FolderInfo::FolderInfo(QString name,int itemCount)
{
    myName = name;
    myItemCount = itemCount;
}
FolderInfo::FolderInfo(const FolderInfo &info)
{
    myName = info.getName();
    myItemCount = info.getItemCount();
}

FolderInfo::FolderInfo()
{
    myName = "NONE";
    myItemCount = 0;
}
