#ifndef FOLDERSCENE_H
#define FOLDERSCENE_H

#include <QGraphicsScene>
#include <QPointF>
#include <QGraphicsSceneDragDropEvent>

class FolderScene : public QGraphicsScene
{
    Q_OBJECT
public:
    FolderScene(qreal x, qreal y, qreal width, qreal height, QObject* parent = 0);

signals:
    void dragFinished();
    void dragAtPos(int y);

protected:
    void dragLeaveEvent(QGraphicsSceneDragDropEvent* event);
    void dragMoveEvent(QGraphicsSceneDragDropEvent* event);
    void dropEvent(QGraphicsSceneDragDropEvent* event);
};

#endif // FOLDERSCENE_H
