#ifndef PROGRESSITEM_H
#define PROGRESSITEM_H

#include <QGraphicsItem>
#include <QPainter>
#include <QApplication>

class ProgressItem : public QGraphicsItem
{
public:
    ProgressItem(QGraphicsItem* parent = 0);
    QRectF boundingRect() const;
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* optiont,
               QWidget* widget);

    void setCount(int value);
    void setMaxCount(int value);

private:
    int maxCount;
    int count;
    float countDegre;
    QBrush myBrush;
    QBrush myBrushInvert;
};

#endif // PROGRESSITEM_H
