#ifndef DONATIONWIDGET_H
#define DONATIONWIDGET_H

#include <QLabel>
#include <QBitmap>
#include <QMouseEvent>
#include <QDesktopServices>
#include <QUrl>
#include "ui_donationwidget.h"

class DonationWidget : public QLabel
{
    Q_OBJECT
public:
    DonationWidget(QWidget *parent = 0);

protected:
    void mouseMoveEvent (QMouseEvent* event);
    void mousePressEvent (QMouseEvent* event);

private slots:
    void linkClicked(QString link);

private:
    Ui::DonationWidget_ui ui;
    int x,y;
};

#endif // DONATIONWIDGET_H
