#include "gs_albumer_slider.h"

void GS_albumer_slider::resizeEvent(QResizeEvent*)
{
    QGraphicsScene * temp =  scene;
    scene = new QGraphicsScene(0,0,ui.sliderView->width() - 6,82);
    QLinearGradient gradient(0, 0, 0, 100);
    gradient.setColorAt(0,QColor(130,130,130));
    gradient.setColorAt(1.0,QColor(90,90,90));
    scene->setBackgroundBrush(gradient);
    scene->addItem(item);
    item->setPos(0,0);
    ui.sliderView->setScene(scene);
    item->updateSlide();
    delete temp;
}

void GS_albumer_slider::updateSlide(int part,int ent)
{
    item->setValues(part,ent);
}

GS_albumer_slider::GS_albumer_slider(QWidget *parent)
    :QWidget(parent)
{
    ui.setupUi(this);
    scene = new QGraphicsScene();
    item = new GS_albumer_slider_item();
}
