#ifndef GS_ALBUMER_SLIDER_H
#define GS_ALBUMER_SLIDER_H

#include <QGraphicsScene>
#include <QResizeEvent>
#include "ui_gs_albumer_slider.h"
#include "gs_albumer_slider_item.h"

class GS_albumer_slider : public QWidget
{
    Q_OBJECT
public:
    explicit GS_albumer_slider(QWidget *parent = 0);
    ~GS_albumer_slider()
    {
        delete scene;
    }
    void updateSlide(int part,int ent);

protected:
    void resizeEvent(QResizeEvent* event);

private:
    Ui::GS_albumer_slider_ui ui;
    QGraphicsScene * scene;
    GS_albumer_slider_item* item;
};

#endif // GS_ALBUMER_SLIDER_H
