#ifndef GS_ALBUMER_SLIDER_ITEM_H
#define GS_ALBUMER_SLIDER_ITEM_H

#include <QGraphicsObject>
#include <QGraphicsScene>
#include <QGraphicsSceneHoverEvent>
#include <QGraphicsSceneMouseEvent>
#include <QPainter>
#include <QPixmap>
#include <QCursor>
#include <QTimer>


class GS_albumer_slider_item : public QGraphicsObject
{
    Q_OBJECT
public:
    GS_albumer_slider_item();
    QRectF boundingRect() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
               QWidget *widget);
    void setValues(int part,int ent);

public slots:
    void animate();
    void updateSlide();

private:
    QTimer* animator;
    int width_;
    int percent;
    float whantPercent;
};

#endif // GS_ALBUMER_SLIDER_ITEM_H
