#ifndef GS_ALBUMER_WORK_ANIMATION_H
#define GS_ALBUMER_WORK_ANIMATION_H

#include "ui_gs_albumer_work_animation.h"
#include <QGraphicsScene>
#include <QGraphicsPixmapItem>
#include <QTimer>

class GS_albumer_work_animation : public QWidget
{
    Q_OBJECT

public:
    GS_albumer_work_animation(QWidget *parent = 0);
    void startAnimation();
    void stopAnimation();

protected:
    void resizeEvent(QResizeEvent* event);

public slots:
    void animateItems();

private:
    Ui::GS_albumer_work_animation_ui ui;
    QGraphicsPixmapItem* left;
    QGraphicsPixmapItem* centerLeft;
    QGraphicsPixmapItem* right;
    QGraphicsPixmapItem* centerRight;
    QTimer* shooter;
};

#endif // GS_ALBUMER_WORK_ANIMATION_H
