#ifndef IMAGEFILTER_H
#define IMAGEFILTER_H

#include <QPixmap>
#include <QObject>

class ImageFilter: public QObject
{
    Q_OBJECT
public:
    virtual const QPixmap& getResault() const  = 0;
    virtual void setPixmap(const QPixmap& sourcePixmap) = 0;

signals:
    void finished();
    void canceled();
    void blockInput();
};

#endif // IMAGEFILTER_H
