#include "categorybgitem.h"

QRectF CategoryBgItem::boundingRect() const
{
    return QRectF(0.0f,0.0f,scene()->width(),60.0f);
}

void CategoryBgItem::paint(QPainter *painter, const QStyleOptionGraphicsItem*,
           QWidget *)
{
    QPen pen;
    pen.setWidth(2);
    pen.setStyle(Qt::DashLine);
    pen.setColor(QColor(75,75,75));
    painter->setPen(pen);

    QBrush brush(QColor(125,125,125,175));
    painter->setBrush(brush);

    painter->setRenderHint(QPainter::Antialiasing);
    painter->drawRoundedRect(boundingRect(),15.0f,20.0f);
}

CategoryBgItem::CategoryBgItem()
        :QGraphicsItem()
{}
