#ifndef GS_ALBUMER_ALBUM_CREATOR_H
#define GS_ALBUMER_ALBUM_CREATOR_H

#include "ui_gs_albumer_album_creator.h"
#include <QMessageBox>
#include <QCloseEvent>
#include <QFileDialog>
#include <QKeyEvent>

class GS_albumer_album_creator : public QDialog
{
    Q_OBJECT
public:
    GS_albumer_album_creator(QWidget *parent = 0);
    QString getPassword();
    QString getFileName();

public slots:
    void clear();

protected:
    void closeEvent(QCloseEvent* event);
    void keyPressEvent(QKeyEvent* event);

private slots:
    void okClicked();
    void calcelClicked();
    bool validatePassword();
    void enablePass(int);
    void getPahtClicked();

signals:
    void newAlbumReady();

private:
    Ui::GS_albumer_album_creator_ui ui;
    QString filename;
    QString passwd;
};

#endif // GS_ALBUMER_ALBUM_CREATOR_H
