#ifndef GS_ALBUMER_ENTRY_EDITOR_H
#define GS_ALBUMER_ENTRY_EDITOR_H

#include <QWidget>
#include <QCloseEvent>
#include "ui_gs_albumer_entry_editor.h"

class GS_albumer_entry_editor : public QWidget
{
    Q_OBJECT
public:
    GS_albumer_entry_editor(QWidget *parent = 0);
    void setEditionData(int id,QPixmap miniature,QString name,QString dsc);
    void setNeedToClose();

protected:
    void closeEvent(QCloseEvent* event);

signals:
    void editEntry(int id,QString dsc);

private slots:
    void descTextChanged();
    void cancelClicked();
    void okClicked();

private:
    Ui::GS_albumer_entry_editor_ui ui;
    bool needToClose;
    int currentId;
};

#endif // GS_ALBUMER_ENTRY_EDITOR_H
