#ifndef GS_ALBUMER_IMAGE_MOVER_H
#define GS_ALBUMER_IMAGE_MOVER_H

#include "ui_gs_albumer_image_mover.h"
#include <QDialog>
#include <QInputDialog>
#include <QMessageBox>
#include <QCloseEvent>
#include <QList>

class GS_albumer_image_mover : public QDialog
{
    Q_OBJECT
public:
    GS_albumer_image_mover(QDialog *parent = 0);
    void setCatalogList(QStringList,QString,QList<int>,int);
    QString getSelectedCatalog();
    QString getOldCatalog();

protected:
    void closeEvent(QCloseEvent* event);

private slots:
    void newCatalog();
    void catalogListSelectionChanged(int);
    void cancelClicked();
    void okClicked();

signals:
    void catalogPicked(QList<int>,int);

private:
    Ui::GS_albumer_image_mover_ui ui;
    QList<int> items;
    int view;
    QString selectedCatalog,oldCatalog;
};

#endif // GS_ALBUMER_IMAGE_MOVER_H
