#include "GS_albumer_view.h"

void GS_albumer_view::closeEvent(QCloseEvent* event)
{
    if(needToClose)
    {
        event->accept();
        QWidget::closeEvent(event);
    }
    else
    {
        emit wantToClose(myIndex());
    }
}

void GS_albumer_view::setIndex(int i)
{
    view_index = i;
}

int GS_albumer_view::myIndex()
{
    return view_index;
}


void GS_albumer_view::setNeedToClose()
{
    needToClose = true;
}

void GS_albumer_view::unSetClose()
{
    needToClose = false;
}

GS_albumer_view::GS_albumer_view(QWidget* parent)
    :QWidget(parent)
{
    needToClose = false;
}
