#include "gs_albumer_deco_line2.h"

QRectF GS_albumer_deco_line2::boundingRect() const
{
    qreal penWidth = 1;
    return QRectF(0- penWidth / 2, 0 - penWidth / 2,
                  650 + penWidth / 2, 100 + penWidth / 2);
}

void GS_albumer_deco_line2::paint(QPainter *painter,
                                  const QStyleOptionGraphicsItem*,QWidget*)
{
    QString lineType =
            GS_config_holder::getDecoLineType() + "/decoration.png";
    painter->drawPixmap(0,0,QPixmap(lineType));
    float textPos = 300.0f - (text.length() * 3.3f);
    painter->drawText(QPointF(textPos,35.0f),text);
    painter->setPen(Qt::white);
    painter->drawText(QPointF(textPos+1,34.0f),text);
}

void GS_albumer_deco_line2::setText(QString text_)
{
    text = text_;
}

GS_albumer_deco_line2::GS_albumer_deco_line2(QString text_)
    :QGraphicsItem(),text(text_)
{
}
