#ifndef GS_VIEW_INFO_ITEM_H
#define GS_VIEW_INFO_ITEM_H

#include <QGraphicsItem>
#include <QPainter>
#include <QFontMetricsF>
#include <QString>

class GS_view_info_item : public QGraphicsItem
{
public:
    GS_view_info_item();
    QRectF boundingRect() const;
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* option,
               QWidget* widget);
    void setName(QString name);
    void setDate(QString date);
    float getWidth() const;

private:
    void changeWidth();
    float width;
    QString displayedName;
    QString displayedDate;
    QFontMetricsF  myMetrics;
};

#endif // GS_VIEW_INFO_ITEM_H
