#include <QApplication>
#include <QTranslator>
#include "GS_albumer.h"

int main (int argc,char * argv[])
{
    QApplication app(argc,argv);
    QTranslator translator;
    if(app.keyboardInputLocale().language() == QLocale::Polish)
        translator.load("GS_albumer_pl");
    if(app.keyboardInputLocale().language() == QLocale::German)
        translator.load("GS_albumer_de");
    app.installTranslator(&translator);
    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
    QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
    GS_albumer window (0,0);
    window.show();
    return app.exec();
}
