#ifndef CLIPTHREAD_H
#define CLIPTHREAD_H

#include <QThread>
#include <QImage>
#include <QPainter>
#include <QList>
#include <QPainterPath>

class ClipThread : public QThread
{
public:
    ClipThread(QImage* sourceImage, QList<QPainterPath> clipPath);
protected:
    void run();

private:
    QImage* workImage;
    QList<QPainterPath> myClipPath;
};

#endif // CLIPTHREAD_H
