#include "ColorInvertThread.h"

void ColorInvertThread::run()
{
    int pixels = workImage->width() * workImage->height();
    unsigned int *data = (unsigned int *)workImage->bits();
    for (int i = 0; i < pixels; ++i)
    {
        int valRed = 255 - qRed(data[i]);
        int valGreen = 255 - qGreen(data[i]);
        int valBlue = 255 - qBlue(data[i]);
        data[i] = qRgba(valRed, valGreen, valBlue, qAlpha(data[i]));
    }
}

ColorInvertThread::ColorInvertThread(QImage* sourceImage)
{
    workImage = sourceImage;
}
