#ifndef GRAYSCALEFILTER_H
#define GRAYSCALEFILTER_H

#include "ImageFilter.h"
#include "GrayScaleThread.h"

class GrayScaleFilter : public ImageFilter
{
    Q_OBJECT
public:
    GrayScaleFilter();
    ~GrayScaleFilter();
    const QPixmap& getResault() const;
    void setPixmap(const QPixmap& sourcePixmap);

private slots:
    void threadFinished();

private:
    QPixmap myPixmap;
    QImage* myImage;
    GrayScaleThread* myThread;
};

#endif // GRAYSCALEFILTER_H
