#include "SepiaThread.h"

void SepiaThread::run()
{
    int pixels = workImage->width() * workImage->height();
    unsigned int *data = (unsigned int *)workImage->bits();
    for (int i = 0; i < pixels; ++i)
    {
            int valRed = static_cast<int>((qRed(data[i]) * .393) +
                                          (qGreen(data[i]) * .769) +
                                          (qBlue(data[i]) * .189));
            if(valRed > 255) valRed = 255;

            int valGreen = static_cast<int>((qRed(data[i]) * .349) +
                                            (qGreen(data[i]) * .686) +
                                            (qBlue(data[i]) * .168));
            if(valGreen > 255) valGreen = 255;

            int valBlue = static_cast<int>((qRed(data[i]) * .272) +
                                           (qGreen(data[i]) * .534) +
                                           (qBlue(data[i]) * .131));
            if(valBlue > 255) valBlue = 255;
            
            data[i] = qRgba(valRed,valGreen,valBlue,qAlpha(data[i]));
    }
}

SepiaThread::SepiaThread(QImage* sourceImage)
{
    workImage = sourceImage;
}
