#ifndef WELCOMINFORMATION_H
#define WELCOMINFORMATION_H

#include <QtGui/QWidget>
#include <QFileInfo>
#include <QDateTime>
#include "ui_welcominformation.h"

class WelcomInformation : public QWidget
{
    Q_OBJECT

public:
    WelcomInformation(QWidget *parent = 0);
    ~WelcomInformation();
    void setTopWidget(QWidget* widget);
    void setHFolderCount(int count);
    void setTotaCount(int count);
    void setTotalFolderCount(int count);
    void setData(QFileInfo fileInfo);
    void clearData();

private:
    Ui::WelcomInformation_ui ui;
};

#endif // WELCOMINFORMATION_H
