#include "folderScene.h"

void FolderScene::dragLeaveEvent(QGraphicsSceneDragDropEvent* event)
{
    emit dragFinished();
    QGraphicsScene::dragLeaveEvent(event);
}

void FolderScene::dragMoveEvent(QGraphicsSceneDragDropEvent* event)
{
    emit dragAtPos(event->screenPos().y());
    QGraphicsScene::dragMoveEvent(event);
}

void FolderScene::dropEvent(QGraphicsSceneDragDropEvent* event)
{
    emit dragFinished();
    QGraphicsScene::dropEvent(event);
}

FolderScene::FolderScene(qreal x, qreal y, qreal width, qreal height, QObject* parent)
        :QGraphicsScene(x,y,width,height,parent)
{
}
