#ifndef GS_progress
#define GS_progress
#include <QDialog>
#include <QString>
#include <QCloseEvent>
#include <QGLWidget>
#include "ui_GS_albumer_progress.h"
#include "ProgressItem.h"

using namespace Ui;

class GS_albumer_progress: public QDialog
{
    Q_OBJECT
public:
    GS_albumer_progress(QWidget* parent=0);
    ~GS_albumer_progress()
    {}

public slots:
    void setMaxCount(int i);
    void setCount(int i);
    void setNeedToClose();
    void setCancel(bool shown);

signals:
    void cancelClicked();

private slots:
    void cancel();

protected:
    void closeEvent(QCloseEvent* event);

private:
    void makeScene();
    Ui_ui_GS_abumer_progres ui;
    bool needToClose;
    ProgressItem* progresser;
};
#endif
