#include "donationwidget.h"

void DonationWidget::mouseMoveEvent(QMouseEvent* event)
{
    int dx = event->globalPos().x() - x;
    int dy = event->globalPos().y() - y;
    x = event->globalPos().x();
    y = event->globalPos().y();
    this->move(this->pos().x()+dx,this->pos().y()+dy);
}

void DonationWidget::mousePressEvent(QMouseEvent* event)
{
    x = event->globalPos().x();
    y = event->globalPos().y();
}


void DonationWidget::linkClicked(QString link)
{
    QDesktopServices::openUrl(QUrl(link));
}


DonationWidget::DonationWidget(QWidget *parent)
    :QLabel(parent)
{
    ui.setupUi(this);
    this->setWindowModality(Qt::ApplicationModal);
    this->setAttribute(Qt::WA_DeleteOnClose);
    this->setMask(QPixmap(":/eyecandy/donationMap.png").mask());
    this->setPixmap(QPixmap(":/eyecandy/donationBg.png"));
    connect(ui.okButton,SIGNAL(clicked()),this,SLOT(close()));
    connect(ui.label_3,SIGNAL(linkActivated(QString)),this,
            SLOT(linkClicked(QString)));
}
