#ifndef IMAGEFILTERINTERFACE_H
#define IMAGEFILTERINTERFACE_H

#include <QObject>
#include "ImageFilter.h"

class ImageFilterInterface : public QObject
{
public:
    virtual QString filterName() const = 0;
    virtual ImageFilter* getNewInstance() const = 0;
};

Q_DECLARE_INTERFACE(ImageFilterInterface,"gs.Albumer.ImageFilter/0.1");

#endif // IMAGEFILTERINTERFACE_H
