#ifndef GS_FILE_SEARCH_H
#define GS_FILE_SEARCH_H

#include <QThread>
#include <QDir>
#include <QFile>

class GS_file_search : public QThread
{
    Q_OBJECT
public:
    GS_file_search(QStringList fileFilters);
    ~GS_file_search()
    {}
    void setDir(QString dirPath);
    void findeFiles(QDir sDir,bool first = true);
    void setFileFilters(QStringList filters);
    QList<QFileInfo> getFileList();
    void stop();

signals:
    void finished();

protected:
    void run();

private:
    QDir searchDir;
    QList<QFileInfo> FileList;
    QStringList fileFilters_;
    bool stop_;
};

#endif // GS_FILE_SEARCH_H
