#include "NameEditor.h"
#include "ui_NameEditor.h"

void NameEditor::okClicked()
{
    if(ui->nameEdit->text().trimmed() != "")
    {
        emit newNamePicked(ui->nameEdit->text().trimmed());
        close();
    }
}

NameEditor::NameEditor(QWidget *parent)
    :QDialog(parent),ui(new Ui::NameEditor_ui)
{
    ui->setupUi(this);
    this->setWindowModality(Qt::ApplicationModal);
    this->setAttribute(Qt::WA_DeleteOnClose,true);
    connect(ui->cancelButton,SIGNAL(clicked()),this,SLOT(close()));
    connect(ui->okButton,SIGNAL(clicked()),this,SLOT(okClicked()));
}

NameEditor::~NameEditor()
{
    delete ui;
}
