#ifndef TAGEDITOR_H
#define TAGEDITOR_H

#include <QDialog>
#include <QInputDialog>
#include <QStringList>

namespace Ui
{
    class TagEditor_ui;
}

class TagEditor : public QDialog
{
    Q_OBJECT
public:
    TagEditor(QWidget *parent = 0);
    ~TagEditor();
    void setTagList(QStringList tags);

private slots:
    void okClicked();
    void newClicked();

signals:
    void tagPicked(QString tag);

private:
    Ui::TagEditor_ui *ui;
};

#endif // TAGEDITOR_H
