#ifndef GS_ALBUMER_PASSER_H
#define GS_ALBUMER_PASSER_H

#include "ui_gs_albumer_passer.h"
#include <QCloseEvent>
#include <QKeyEvent>
#include <QMessageBox>

class GS_albumer_passer : public QDialog
{
    Q_OBJECT
public:
    GS_albumer_passer(QWidget *parent = 0);

public slots:
    void okClicked();
    void cancelClidked();
    void setPassWord(QString passWD);

protected:
    void closeEvent(QCloseEvent* event);
    void keyPressEvent(QKeyEvent* event);
    void validateEnteredPassWord();

signals:
    void enteredPass(bool);

private:
    Ui::GS_albumer_passer_ui ui;
    bool isPassOk;
    QString password;
};

#endif // GS_ALBUMER_PASSER_H
