#ifndef VIEWER_SAVEAS_WIDGET_H
#define VIEWER_SAVEAS_WIDGET_H

#include <QtGui/QDialog>
#include <QStringList>
#include <QInputDialog>
#include <QMessageBox>
#include "ui_viewer_saveas_widget.h"

class Viewer_SaveAs_Widget : public QDialog
{
    Q_OBJECT
public:
    Viewer_SaveAs_Widget(QStringList catalogList,QWidget *parent = 0);
    ~Viewer_SaveAs_Widget();

    QString getCatalog();
    QString getName();
    QString getDesc();
    QString getAutor();
    QString getFormat();

private slots:
    void okClicked();
    void cancelClicked();
    void discChanged();
    void newCatalogClicked();

private:
    Ui::Viewer_SaveAs_Widget_ui ui;
};

#endif // VIEWER_SAVEAS_WIDGET_H
